Subject: Re: [PATCH net-next v2] rfs: added /proc/sys/net/core/rps_allow_ooo flag to tweak flow alg

From: Jakub Kicinski <[email-masked]>
Date: Mon, 11 Jul 2022 13:44:47 -0700

On Mon, 11 Jul 2022 14:38:39 -0600 James Yonan wrote:
> Any further questions/comments about this patch?  The v2 patch 
> incorporates all feedback received so far, including refactoring a large 
> conditional in the original code to make it more readable and maintainable.

There was another patch on the list doing a very similar thing right
around the time you posted yours. IIUC wireguard implements farming 
out decryption to multiple cores, implementing something in the tunnel
layer seems better. You can do the crypto in process context which is
much more efficient while at it, and put the packets back in order.